#include <glib.h>
#include <scgi.h>

int main(void)
{
  CGIVars *cgi_vars;
  char *nom;
  char *civilite;  

  /* Init library */

  g_assert((cgi_vars = cgi_init(42000, 420, 42, 420, 42)) != NULL);
  
  /* Get some sample variables passed through the CGI interface */
  
  g_assert((nom = cgi_get(cgi_vars, "name")) != NULL);
  g_assert((civilite = cgi_get(cgi_vars, "sex")) != NULL);
  
  /* Send a header to the remote web browser */
  
  cgi_sendHeader("text/plain");
  
  /* Send data to the web browser */
  
  g_print("Hello, %s %s !\n", civilite, nom);
  
  /* Free memory */
  
  cgi_destroy(cgi_vars);
	
  return 0;
}


